/* FIX SHOP PRODUCT GRID */

.woocommerce-shop .products,
.archive .products {
    display: grid !important;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px !important;
    align-items: start;
}

.woocommerce-shop .products .product,
.archive .products .product {
    width: 100% !important;
    margin: 0 !important;
    position: relative !important;
}


/* قلب داخل کارت */
.woocommerce-shop .wishlist-button,
.archive .wishlist-button,
.woocommerce-shop .yith-wcwl-add-to-wishlist,
.archive .yith-wcwl-add-to-wishlist {
    position: absolute !important;
    top: 15px !important;
    right: 15px !important;
    z-index: 10;
}


/* جلوگیری از خروج محتوا */
.woocommerce-shop .product .box,
.archive .product .box {
    overflow: hidden;
    position: relative;
}
























































